
%define rel 1
%define okularcore_major 7
%define libokularcore %mklibname okularcore %okularcore_major


Name: okular
Summary: A universal document viewer
Version: 16.04.2
Release: %mkrel %{rel}
Group: Graphical desktop/KDE5
License: GPLv2
URL: http://www.kde.org/applications/graphics/okular/
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
BuildRequires: %{_lib}kde4-kdelibs-devel
BuildRequires: %{_lib}poppler-devel
BuildRequires: %{_lib}paper-devel
BuildRequires: %{_lib}jbig2dec-devel
BuildRequires: %{_lib}gs-devel
BuildRequires: %{_lib}spectre-devel
BuildRequires: %{_lib}poppler-qt4-devel
BuildRequires: %{_lib}qimageblitz-devel
BuildRequires: %{_lib}kde4-kactivities-devel
BuildRequires: %{_lib}djvulibre-devel

Patch201: okular-4.9.0-OkularConfig-dont-hardcode-paths.patch

%description
Okular is a universal document viewer based on KPDF for KDE 4.

Okular combines the excellent functionalities of KPDF with the versatility
of supporting different kind of documents, like PDF, Postscript, DjVu, CHM,
and others.

The document format handlers page has a chart describing in more detail
the supported formats and the features supported in each of them.

%files
%_kde_bindir/okular
%_kde_libdir/kde4/okularGenerator_*
%_kde_libdir/kde4/okularpart.so
%_kde_libdir/kde4/kio_msits.so
%_kde_libdir/kde4/imports/org/kde/okular
%_kde_applicationsdir/okular*
%_kde_datadir/config.kcfg/pdfsettings.kcfg
%_kde_appsdir/okular
%_kde_appsdir/kconf_update/okular.upd
%_kde_datadir/config.kcfg/okular.kcfg
%_kde_datadir/config.kcfg/gssettings.kcfg
%_kde_datadir/config.kcfg/okular_core.kcfg
%_kde_datadir/kde4/services/libokularGenerator_*
%_kde_applicationsdir/active-documentviewer_*
%_kde_services/okular*
%_kde_services/msits*
%_kde_servicetypes/okularGenerator.desktop
%_kde_iconsdir/*/*/*/okular.*
%_kde_mandir/man1/okular.1.*
#------------------------------------------------------------------------------
%_kde_libdir/libokularcore.so.%{okularcore_major}*
#------------------------------------------------------------------------------

%package handbook
Summary: Okular handbook
Requires:  okular >= %{version}-%{release}
BuildArch: noarch
Group: Documentation

%description handbook
This package provides okular handbook

%files handbook
%doc AUTHORS COPYING TODO
%doc %_kde_docdir/HTML/en/okular/


%package devel
Summary: Devel stuff for kdegraphics
Group: Development/Libraries
Requires: okular = %version-%release

%description devel
This package contains header files needed if you wish to build applications
based on okular.

%files devel
%_kde_includedir/%{name}
%_kde_libdir/cmake/Okular/OkularConfig.cmake
%_kde_libdir/cmake/Okular/OkularConfigVersion.cmake
%_kde_libdir/libokularcore.so

#------------------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export CFLAGS="-O3 -ffast-math -march=native"
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

#menu
desktop-file-install --vendor="" \
 --remove-category="Application" \
 --add-category="X-MandrivaLinux-Office-Publishing" \
 --dir %{buildroot}%{_kde_datadir}/applications/kde4 %{buildroot}%{_kde_datadir}/applications/kde4/okular.desktop


%changelog
* Tue Jun 14 2016 bb <bb> 16.04.2-1pclos2016
- update


